Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.osm
Enum OSMLayerEnum

    java.lang.Object
      java.lang.Enum<OSMLayerEnum>
          org.ka2ddo.yaac.osm.OSMLayerEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OSMLayerEnum>

    public enum OSMLayerEnum

extends java.lang.Enum<OSMLayerEnum>

This enum identifies the information that will be stored in *.nodes and *.ways files by the OsmXmlSegmenter for use by OSMLayer. Note that the flag enum value has been removed to save storage, and another (non-persisted) value put in its place to keep the persisted values' ordinals stable.

Enum Constant Summary
`adminlevel`
`airportId`
`amenityType`
`amenityTypeName`
`border_type2`
`hazmat`
`highwayName`
`landuse2`
`lanes`
`layer`
`leisure`
`man_made2`
`maxheight`
`maxspeed`
`maxweight`
`name`
`name_en`
`natural2`
`place`
`religion`
`type`
`wayType`
`width`

Field Summary
`static int` | `ADMINLEVEL_ORDINAL`
`static int` | `AIRPORTID_ORDINAL`
`static int` | `AMENITYTYPE_ORDINAL`
`static int` | `AMENITYTYPENAME_ORDINAL`
`static int` | `BORDER_TYPE2_ORDINAL`
`java.lang.Enum[]` | `enumConstants` Ordered set of enumeration constants if the valueClass is a single specific subclass of java.lang.Enum.
`static int` | `HAZMAT_ORDINAL`
`static int` | `HIGHWAYNAME_ORDINAL`
`static int` | `LANDUSE2_ORDINAL`
`static int` | `LANES_ORDINAL`
`static int` | `LAYER_ORDINAL`
`static int` | `LEISURE_ORDINAL`
`static int` | `MAN_MADE2_ORDINAL`
`static int` | `MAXHEIGHT_ORDINAL`
`static int` | `MAXSPEED_ORDINAL`
`static int` | `MAXWEIGHT_ORDINAL`
`static int` | `NAME_EN_ORDINAL`
`static int` | `NAME_ORDINAL`
`static int` | `NATURAL2_ORDINAL`
`static int` | `ORDINAL_MAX`
`static int` | `PLACE_ORDINAL`
`static int` | `RELIGION_ORDINAL`
`int` | `renderLevel` Specify whether this attribute provides useful information at render time.
`static int` | `TYPE_ORDINAL`
`java.lang.Class` | `valueClass` Class of the data type of values of this enumeration.
`int` | `valueType` Value type associated with the enum.
`static int` | `WAYTYPE_ORDINAL`
`static int` | `WIDTH_ORDINAL`

Method Summary
`int` | `getRenderLevel()` Report whether this attribute provides useful information at render time.
`java.lang.Class` | `getValueClass()` Class of the data type of values of this enumeration.
`java.lang.reflect.Constructor` | `getValueClassConstructorOneArg()` Get the reflection Constructor for a value of this enum that will convert a String into the appropriate value object.
`int` | `getValueType()` Get the value type associated with the enum.
`boolean` | `isValueQuantityUnitMeasure()` Report whether attribute has a quantity unit of measure.
`static OSMLayerEnum[]` | `nonClonedValues()` Get the original array of enum values for the OSMLayerEnum enumeration (not wasting memory or CPU on making a copy).
`static OSMLayerEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OSMLayerEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### religion

    public static final OSMLayerEnum religion

### wayType

    public static final OSMLayerEnum wayType

### name

    public static final OSMLayerEnum name

### amenityTypeName

    public static final OSMLayerEnum amenityTypeName

### highwayName

    public static final OSMLayerEnum highwayName

### maxweight

    public static final OSMLayerEnum maxweight

### name_en

    public static final OSMLayerEnum name_en

### maxheight

    public static final OSMLayerEnum maxheight

### hazmat

    public static final OSMLayerEnum hazmat

### airportId

    public static final OSMLayerEnum airportId

### layer

    public static final OSMLayerEnum layer

### adminlevel

    public static final OSMLayerEnum adminlevel

### maxspeed

    public static final OSMLayerEnum maxspeed

### man_made2

    public static final OSMLayerEnum man_made2

### leisure

    public static final OSMLayerEnum leisure

### width

    public static final OSMLayerEnum width

### border_type2

    public static final OSMLayerEnum border_type2

### natural2

    public static final OSMLayerEnum natural2

### landuse2

    public static final OSMLayerEnum landuse2

### amenityType

    public static final OSMLayerEnum amenityType

### type

    public static final OSMLayerEnum type

### lanes

    public static final OSMLayerEnum lanes

### place

    public static final OSMLayerEnum place

Field Detail

### RELIGION_ORDINAL

    public static final int RELIGION_ORDINAL

See Also:
  Constant Field Values

### WAYTYPE_ORDINAL

    public static final int WAYTYPE_ORDINAL

See Also:
  Constant Field Values

### NAME_ORDINAL

    public static final int NAME_ORDINAL

See Also:
  Constant Field Values

### AMENITYTYPENAME_ORDINAL

    public static final int AMENITYTYPENAME_ORDINAL

See Also:
  Constant Field Values

### HIGHWAYNAME_ORDINAL

    public static final int HIGHWAYNAME_ORDINAL

See Also:
  Constant Field Values

### MAXWEIGHT_ORDINAL

    public static final int MAXWEIGHT_ORDINAL

See Also:
  Constant Field Values

### NAME_EN_ORDINAL

    public static final int NAME_EN_ORDINAL

See Also:
  Constant Field Values

### MAXHEIGHT_ORDINAL

    public static final int MAXHEIGHT_ORDINAL

See Also:
  Constant Field Values

### HAZMAT_ORDINAL

    public static final int HAZMAT_ORDINAL

See Also:
  Constant Field Values

### AIRPORTID_ORDINAL

    public static final int AIRPORTID_ORDINAL

See Also:
  Constant Field Values

### LAYER_ORDINAL

    public static final int LAYER_ORDINAL

See Also:
  Constant Field Values

### ADMINLEVEL_ORDINAL

    public static final int ADMINLEVEL_ORDINAL

See Also:
  Constant Field Values

### MAXSPEED_ORDINAL

    public static final int MAXSPEED_ORDINAL

See Also:
  Constant Field Values

### MAN_MADE2_ORDINAL

    public static final int MAN_MADE2_ORDINAL

See Also:
  Constant Field Values

### LEISURE_ORDINAL

    public static final int LEISURE_ORDINAL

See Also:
  Constant Field Values

### WIDTH_ORDINAL

    public static final int WIDTH_ORDINAL

See Also:
  Constant Field Values

### BORDER_TYPE2_ORDINAL

    public static final int BORDER_TYPE2_ORDINAL

See Also:
  Constant Field Values

### NATURAL2_ORDINAL

    public static final int NATURAL2_ORDINAL

See Also:
  Constant Field Values

### LANDUSE2_ORDINAL

    public static final int LANDUSE2_ORDINAL

See Also:
  Constant Field Values

### AMENITYTYPE_ORDINAL

    public static final int AMENITYTYPE_ORDINAL

See Also:
  Constant Field Values

### TYPE_ORDINAL

    public static final int TYPE_ORDINAL

See Also:
  Constant Field Values

### LANES_ORDINAL

    public static final int LANES_ORDINAL

See Also:
  Constant Field Values

### PLACE_ORDINAL

    public static final int PLACE_ORDINAL

See Also:
  Constant Field Values

### valueClass

    public final java.lang.Class valueClass

  Class of the data type of values of this enumeration.

### enumConstants

    public final java.lang.Enum[] enumConstants

  Ordered set of enumeration constants if the valueClass is a single specific subclass of java.lang.Enum.

### valueType

    public final int valueType

  Value type associated with the enum.

  See Also:
    `GenericTaggedNode.BYTE`, `GenericTaggedNode.ENUM`, `GenericTaggedNode.FLAGS`, `GenericTaggedNode.FLOAT`, `GenericTaggedNode.OBJECT`, `GenericTaggedNode.STRING`, `GenericTaggedNode.WAYTYPE`

### renderLevel

    public final int renderLevel

  Specify whether this attribute provides useful information at render time.

  See Also:
    `RENDERLEVEL_NO`, `RENDERLEVEL_NONSELECT`, `RENDERLEVEL_SELECT`

### ORDINAL_MAX

    public static final int ORDINAL_MAX

Method Detail

### values

    public static OSMLayerEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OSMLayerEnum c : OSMLayerEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OSMLayerEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValueClass

    public final java.lang.Class getValueClass()

  Class of the data type of values of this enumeration.

  Returns:
    Class of the data type

### getValueType

    public final int getValueType()

  Get the value type associated with the enum.

  Returns:
    value type as defined by int constants in GenericTaggedNode class
  See Also:
    `GenericTaggedNode.BYTE`, `GenericTaggedNode.ENUM`, `GenericTaggedNode.FLAGS`, `GenericTaggedNode.FLOAT`, `GenericTaggedNode.OBJECT`, `GenericTaggedNode.STRING`, `GenericTaggedNode.WAYTYPE`

### getRenderLevel

    public final int getRenderLevel()

  Report whether this attribute provides useful information at render time.

  Returns:
    render level code for this attribute
  See Also:
    `RENDERLEVEL_NO`, `RENDERLEVEL_NONSELECT`, `RENDERLEVEL_SELECT`

### isValueQuantityUnitMeasure

    public final boolean isValueQuantityUnitMeasure()

  Report whether attribute has a quantity unit of measure.

  Returns:
    boolean

### getValueClassConstructorOneArg

    public final java.lang.reflect.Constructor getValueClassConstructorOneArg()

  Get the reflection Constructor for a value of this enum that will convert a String into the appropriate value object.

  Returns:
    Constructor

### nonClonedValues

    public static OSMLayerEnum[] nonClonedValues()

  Get the original array of enum values for the OSMLayerEnum enumeration (not wasting memory or CPU on making a copy).

  Returns:
    array of OSMLayerEnum constants

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD